const express = require("express");
const router = express.Router();
const mapasFamiliaController = require("../controllers/mapasFamiliaController");

// Route for getting all mapasFamilia
router.get("/mapasFamilia", mapasFamiliaController.getAllMapasFamilia);

// Route for getting a specific user by ID
router.get("/mapasFamilia/:id", mapasFamiliaController.getMapaFamiliaById);

// Route for creating a new user
router.post("/mapasFamilia", mapasFamiliaController.createMapaFamilia);

// Route for updating a user by ID
router.put("/mapasFamilia/:id", mapasFamiliaController.updateMapaFamilia);

// Route for deleting a user by ID
router.delete("/mapasFamilia/:id", mapasFamiliaController.deleteMapaFamilia);

module.exports = router;
